#include <QApplication>
#include <QFrame>
#include <QScreen>

int main(int argc, char *argv[]) {
  QApplication a(argc, argv);

  QFrame frame{};

  frame.setGeometry(QApplication::screens().at(0)->geometry());
  frame.setLineWidth(10);
  frame.setStyleSheet("color: red");

  frame.setFrameStyle(QFrame::Box | QFrame::Plain);
  frame.setWindowFlags(Qt::FramelessWindowHint | Qt::WindowTransparentForInput |
                       Qt::WindowDoesNotAcceptFocus | Qt::WindowStaysOnTopHint);

  frame.setWindowFlags(frame.windowFlags() | Qt::ToolTip);

  frame.setAttribute(Qt::WA_TranslucentBackground, true);

  frame.show();

  return a.exec();
}

